- MongoDB C Driver 1.13.1 »
- API Reference »
- mongoc_uri_t

# mongoc_uri_get_auth_source()

## Synopsis

    const char *
    mongoc_uri_get_auth_source (const mongoc_uri_t *uri);

## Parameters

- `uri`: A mongoc_uri_t.

## Description

Fetches the `authSource` parameter of an URI if provided.

## Returns

A string which should not be modified or freed.

### See Also:

authentication

mongoc_uri_get_auth_mechanism

mongoc_uri_get_mechanism_properties

mongoc_uri_set_auth_mechanism

mongoc_uri_set_auth_source

mongoc_uri_set_mechanism_properties

Created using Sphinx 1.8.3, based on Sphinx Readable Theme.